"use strict";

var express = require ('express');                                                
var ejs = require('ejs');                                                    
var app = express(); 
var df = require('node-df');

app.engine('html', ejs.renderFile); 
app.use(express.static(__dirname ));                                      
app.set('views', __dirname + '/templates');                                  
app.use('/public', express.static(__dirname + '/public/')); 
app.use('/jquery', express.static(__dirname + '/node_modules/jquery/dist'));
app.use('/socket.io', express.static(__dirname + '/node_modules/socket.io-client/'));

var httpserver = require('http').createServer(app);
var socketio = require('socket.io').listen(httpserver);

var credit = {
    name: "mon Web avec NodeJs",
    level: "lecon 5 (v2)",
    auteur: "Powered by Bud *Robert* Spencer"
};

					
app.get('/', function (req, res) {
    df({ préfixMultiplier: 'KiB' }, function (err, df_res) {
        var data = df_res;
        res.render('index.html', { credit, data: data });
    });
});

httpserver.listen(8080); 
console.log('CTRL+C pour quitter.');

